Subject: Re: bug#9469: buffer-local variables seem to remember previous values

From: Le Wang <[email-masked]>
Date: Mon, 12 Sep 2011 16:23:15 +0800

On Mon, Sep 12, 2011 at 3:57 PM, Andreas Schwab <[email-masked]> wrote:
> Since the argument does not change, how is that wrong?

Yes, I understand from a functional programming perspective, it's
perfectly fine.  You're right.  but you're still being pedantic.
Maybe setcdr the way I did was not very lisp-y.  I willingly concede
I'm a lisp novice, and I'm used to thinking in a more procedural way.
My point is that the manual would be more helpful to someone in my
position if it had an example saying don't modify quoted objects, and
why.

Anyway, if it's the opinion of the maintainers that the manual is fine
as it is, it's fine with me.

Thanks you for looking into this issue, and working on Emacs!

-- 
Le